import request from '@/utils/request'

// 查询物业费管理列表
export function listFee(query) {
  return request({
    url: '/wuYe/fee/list',
    method: 'get',
    params: query
  })
}

export function statistics(query) {
  return request({
    url: '/wuYe/fee/statistics',
    method: 'get',
    params: query
  })
}




// 查询物业费管理详细
export function getFee(propertyId) {
  return request({
    url: '/wuYe/fee/' + propertyId,
    method: 'get'
  })
}

// 新增物业费管理
export function addFee(data) {
  return request({
    url: '/wuYe/fee',
    method: 'post',
    data: data
  })
}

// 修改物业费管理
export function updateFee(data) {
  return request({
    url: '/wuYe/fee/put',
    method: 'post',
    data: data
  })
}

// 删除物业费管理
export function delFee(propertyId) {
  return request({
    url: '/wuYe/fee/delete/' + propertyId,
    method: 'get'
  })
}

export function callPayment(propertyId) {
  return request({
    url: '/wuYe/fee/callPayment/' + propertyId,
    method: 'get',
  })
}

export function callPaymentAll() {
  return request({
    url: '/wuYe/fee/callPaymentAll',
    method: 'get',
  })
}



